/*
 * 3D Engine 
 * camera.h: 
 * Based on pikuma.com 3D software renderer in C
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 11/03/2021.
 */

#ifndef THREEDENGINE_SOURCE_INCLUDE_CAMERA_H
#define THREEDENGINE_SOURCE_INCLUDE_CAMERA_H

#include <vector.h>

/***********************************************************************************************************************
 * Data types
 **********************************************************************************************************************/
typedef struct camera_t
{
    vec3_t position;
    vec3_t direction;

    vec3_t forwardVelocity;
    double yawAngle;
} camera_t;

/***********************************************************************************************************************
 * Global variables
 **********************************************************************************************************************/
extern camera_t camera;

/***********************************************************************************************************************
 * Prototypes
 **********************************************************************************************************************/

#endif /* THREEDENGINE_SOURCE_INCLUDE_CAMERA_H */
